### Method

# Gck Session set_pin

#### Declaration [src]

    gboolean
    gck_session_set_pin (
      GckSession* self,
      const guchar* old_pin,
      gsize n_old_pin,
      const guchar* new_pin,
      gsize n_new_pin,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Change the user’s pin on this slot that this session is opened on.

This call may block for an indefinite period.

#### Parameters

`old_pin` | An array of `guchar`
| The user’s old PIN, or `NULL` for protected authentication path.
| The argument can be `NULL`.
| The length of the array is specified in the `n_old_pin` argument.
| The data is owned by the caller of the function.
`n_old_pin` | `gsize`
| The length of the PIN.
`new_pin` | An array of `guchar`
| The user’s new PIN, or `NULL` for protected authentication path.
| The argument can be `NULL`.
| The length of the array is specified in the `n_new_pin` argument.
| The data is owned by the caller of the function.
`n_new_pin` | `gsize`
| The length of the PIN.
`cancellable` | `GCancellable`
| Optional cancellation object, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether successful or not.